Announcement

Collapse
No announcement yet.

ATI R600 Gallium3D Driver Continues Advancing

Collapse
X
  • Filter
  • Time
  • Show
Clear All
new posts

  • Originally posted by icek View Post
    I forgot, you have to install libgl1-mesa-dri-experimental
    Thankyou for your help. glxinfo now gives me this:

    Code:
    OpenGL vendor string: X.Org
    OpenGL renderer string: Gallium 0.4 on RV710
    OpenGL version string: 2.1 Mesa 7.10-devel
    OpenGL shading language version string: 1.20
    I still cannot get Kwin compositing to work under KDE 4.5.1 (Kubuntu 10.10). I presume now that I will need another ppa for KDE 4.5.2 or something?

    I will go to the "KDE doesn't work thread and check there.

    But thanks for your help anyway. Gallium is going to be very interesting.

    Comment


    • Originally posted by hal2k1 View Post
      Thankyou for your help. glxinfo now gives me this:

      Code:
      OpenGL vendor string: X.Org
      OpenGL renderer string: Gallium 0.4 on RV710
      OpenGL version string: 2.1 Mesa 7.10-devel
      OpenGL shading language version string: 1.20
      I still cannot get Kwin compositing to work under KDE 4.5.1 (Kubuntu 10.10). I presume now that I will need another ppa for KDE 4.5.2 or something?

      I will go to the "KDE doesn't work thread and check there.

      But thanks for your help anyway. Gallium is going to be very interesting.
      PS: I tried KDE 4.5.2 as described here:
      http://www.kubuntu.org/news/kde-sc-4.5.2

      with this driver:
      Code:
      $ glxinfo | grep OpenGL
      OpenGL vendor string: X.Org
      OpenGL renderer string: Gallium 0.4 on RV710
      OpenGL version string: 2.1 Mesa 7.10-devel
      OpenGL shading language version string: 1.20
      OpenGL extensions:
      Still no joy. Kwin crashes (and then I presume re-starts) when you try to enable compositing, and Kwin reports that it cannot run any of the compositing effects.

      I am more than a bit frustrated with Kwin right now. It used to work fine.

      Comment


      • Does it work with r600c?

        A few days ago, when I last tested r600g, it could not run KWin on my system. r600c is perfect.

        Comment


        • You could try a drm next kernel. For ubuntu you can download compiled packages from:

          http://kernel.ubuntu.com/~kernel-ppa/mainline/drm-next/

          Comment


          • Originally posted by pingufunkybeat View Post
            Does it work with r600c?

            A few days ago, when I last tested r600g, it could not run KWin on my system. r600c is perfect.
            No, compositing does not work on my Kubuntu 10.10/KDE 4.5.2/Kwin system with either r600c or r600g.

            Something seriously borked within Kwin I would think.

            Comment

            Working...
            X